--- asterisk-12.4.0/main/rtp_engine.c	2014-07-01 05:46:58.000000000 +1000
+++ asterisk-12.4.0-mod/main/rtp_engine.c	2014-09-29 11:14:43.000000000 +1000
@@ -2009,6 +2009,13 @@
 	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR, 0), 0, "audio", "L16", 8000);
 	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR16, 0), 0, "audio", "L16", 16000);
 	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR16, 0), 0, "audio", "L16-256", 16000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR12, 0), 0, "audio", "L16-12kHz", 12000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR24, 0), 0, "audio", "L16-24kHz", 24000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR32, 0), 0, "audio", "L16-32kHz", 32000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR44, 0), 0, "audio", "L16-44kHz", 44000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR48, 0), 0, "audio", "L16-48kHz", 48000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR96, 0), 0, "audio", "L16-96kHz", 96000);
+	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR192, 0), 0, "audio", "L16-192kHz", 192000);
 	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_LPC10, 0), 0, "audio", "LPC", 8000);
 	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_G729A, 0), 0, "audio", "G729", 8000);
 	set_next_mime_type(ast_format_set(&tmpfmt, AST_FORMAT_G729A, 0), 0, "audio", "G729A", 8000);
@@ -2079,6 +2086,13 @@
 	add_static_payload(118, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR16, 0), 0); /* 16 Khz signed linear */
 	add_static_payload(119, ast_format_set(&tmpfmt, AST_FORMAT_SPEEX32, 0), 0);
 	add_static_payload(121, NULL, AST_RTP_CISCO_DTMF);   /* Must be type 121 */
+	add_static_payload(122, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR12, 0), 0);
+	add_static_payload(123, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR24, 0), 0);
+	add_static_payload(124, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR32, 0), 0);
+	add_static_payload(125, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR44, 0), 0);
+	add_static_payload(126, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR48, 0), 0);
+	add_static_payload(127, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR96, 0), 0);
+	add_static_payload(128, ast_format_set(&tmpfmt, AST_FORMAT_SLINEAR192, 0), 0);
 	/* Opus and VP8 */
 	add_static_payload(100, ast_format_set(&tmpfmt, AST_FORMAT_VP8, 0), 0);
 	add_static_payload(107, ast_format_set(&tmpfmt, AST_FORMAT_OPUS, 0), 0);
